Bug 1416299 - remove vdsm configuration from gdeploy config
Summary: remove vdsm configuration from gdeploy config
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.10
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-25 08:18 UTC by SATHEESARAN
Modified: 2017-04-21 09:32 UTC (History)
4 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:32:25 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71261 master MERGED gdeploy: remove vdsm configuration 2017-01-30 17:27:24 UTC
oVirt gerrit 71763 ovirt-4.1 MERGED gdeploy: remove vdsm configuration 2017-02-10 06:08:45 UTC

Description SATHEESARAN 2017-01-25 08:18:56 UTC
Description of problem:
-----------------------
For Grafton stack, lvmetad needs to be disabled, and ignore vdsm configuration

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
cockpit-ovirt-dashboard-0.10.7-0.0.5

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Disable lvmetad
2. Ignore vdsm configuration

Actual results:
---------------
lvmetad is enabled and, vdsm configured

Expected results:
-----------------
lvmetad should be disabled and, vdsm configuration should be ignored

Additional info:
----------------
1. section to be removed
[shell2]
action=execute
command=vdsm-tool configure --force

2. section to be added
[update-file]
action=edit
dest=/etc/lvm/lvm.conf
replace=\tuse_lvmetad = 1
line=\tuse_lvmetad = 0

[service]
action=stop
service=lvm2-lvmetad.service

Comment 1 Ramesh N 2017-01-26 13:30:28 UTC
Suggested configuration will only stop the lvmstad. But I think we also need to add another service configuration to disable the lvmetad service.

Comment 2 Ramesh N 2017-01-30 11:45:35 UTC
As per my discussion with Sahina and Sas, vdsm itself takes care of configuring lvm and vdsm configuration. So we don't need to add a section for lvm configuration and vdsm configuration section can be removed.

Comment 3 SATHEESARAN 2017-03-08 18:03:02 UTC
Tested with ovirt-cockpit-dashboard-0.10.7-0.0.13

vdsm configuration is now removed from gdeploy config file


Note You need to log in before you can comment on or make changes to this bug.